import osfrom unstructured import UnstructuredClientclient = UnstructuredClient( username=os.environ.get("UNSTRUCTURED_USERNAME"), # This is the default and can be omitted password=os.environ.get("UNSTRUCTURED_PASSWORD"), # This is the default and can be omitted)tag_response = client.tags.delete( tag_name="tag_name",)print(tag_response.tag_name)
Copy
{ "tag_name": "<string>"}
Tags
Delete
Delete a tag by name. Tag must not be in use by any graphs or dataslices.
Query Parameters
Parameter
Type
Description
tag_name
str
Name of the tag to delete.
Response
200: Tag deleted successfully
Returns: { "tag_name": str }
500: Internal Server Error (e.g., tag still in use)
Example
DELETE /tags/delete?tag_name=category
DELETE
/
tags
/
delete
Python
Copy
import osfrom unstructured import UnstructuredClientclient = UnstructuredClient( username=os.environ.get("UNSTRUCTURED_USERNAME"), # This is the default and can be omitted password=os.environ.get("UNSTRUCTURED_PASSWORD"), # This is the default and can be omitted)tag_response = client.tags.delete( tag_name="tag_name",)print(tag_response.tag_name)